diff --git a/src/backend/access/brin/Makefile b/src/backend/access/brin/Makefile
index 75eb87ec10..468e1e289a 100644
--- a/src/backend/access/brin/Makefile
+++ b/src/backend/access/brin/Makefile
@@ -16,7 +16,6 @@ OBJS = \
 	brin.o \
 	brin_inclusion.o \
 	brin_minmax.o \
-	brin_minmax_multi.o \
 	brin_pageops.o \
 	brin_revmap.o \
 	brin_tuple.o \
diff --git a/src/test/regress/parallel_schedule b/src/test/regress/parallel_schedule
index 1c6bbfcf54..70c38309d7 100644
--- a/src/test/regress/parallel_schedule
+++ b/src/test/regress/parallel_schedule
@@ -77,11 +77,6 @@ test: select_into select_distinct select_distinct_on select_implicit select_havi
 # ----------
 test: brin gin gist spgist privileges init_privs security_label collate matview lock replica_identity rowsecurity object_address tablesample groupingsets drop_operator password identity generated join_hash
 
-# ----------
-# Additional BRIN tests
-# ----------
-test: brin_multi
-
 # ----------
 # Another group of parallel tests
 # ----------
diff --git a/src/test/regress/serial_schedule b/src/test/regress/serial_schedule
index dd3f3a9f0b..d81d04136c 100644
--- a/src/test/regress/serial_schedule
+++ b/src/test/regress/serial_schedule
@@ -108,7 +108,6 @@ test: delete
 test: namespace
 test: prepared_xacts
 test: brin
-test: brin_multi
 test: gin
 test: gist
 test: spgist
-- 
2.30.2

